commit:     52d40bd6640cec7798fe8865a30982cef4723142
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Wed Apr 21 01:16:35 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Wed Apr 21 01:17:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=52d40bd6

sys-cluster/nanos6: extrae support

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/nanos6/metadata.xml                    |  2 +-
 ...{nanos6-2.5.1.ebuild => nanos6-2.5.1-r1.ebuild} | 25 ++++++++++------------
 2 files changed, 12 insertions(+), 15 deletions(-)

diff --git a/sys-cluster/nanos6/metadata.xml b/sys-cluster/nanos6/metadata.xml
index d72d9ec64..ad6f5454f 100644
--- a/sys-cluster/nanos6/metadata.xml
+++ b/sys-cluster/nanos6/metadata.xml
@@ -17,7 +17,7 @@
                <flag name="dlb">enable dynamic management and sharing of 
computing resources</flag>
                <flag name="embed-code-changes">embed into the runtime any code 
changes present in the source</flag>
                <flag name="execution-workflow">Enable execution using the 
Execution Workflow</flag>
-               <!--<flag name="extrae">to generate execution traces for 
offline performance analysis with paraver</flag>-->
+               <flag name="extrae">to generate execution traces for offline 
performance analysis with paraver</flag>
                <!--<flag name="jemalloc">use jemalloc as the default memory 
allocator, providing better performance than the default glibc 
implementation</flag>-->
                <!--<flag name="k1om">specify the installation prefix of the 
k1om GNU compilers</flag>-->
                <!--<flag name="memkind">specify the installation prefix of 
memkind</flag>-->

diff --git a/sys-cluster/nanos6/nanos6-2.5.1.ebuild 
b/sys-cluster/nanos6/nanos6-2.5.1-r1.ebuild
similarity index 81%
rename from sys-cluster/nanos6/nanos6-2.5.1.ebuild
rename to sys-cluster/nanos6/nanos6-2.5.1-r1.ebuild
index a49c3601a..599e265c2 100644
--- a/sys-cluster/nanos6/nanos6-2.5.1.ebuild
+++ b/sys-cluster/nanos6/nanos6-2.5.1-r1.ebuild
@@ -12,10 +12,10 @@ 
SRC_URI="https://github.com/bsc-pm/nanos6/archive/refs/tags/version-${PV}.tar.gz
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE="cluster debug dlb doc embed-code-changes execution-workflow git papi 
unwind"
+IUSE="cluster debug dlb embed-code-changes execution-workflow extrae git papi 
unwind"
 #chrono-arch build fail
 #jemalloc require custom stuff
-#TODO: cuda pqos mercurium memkind k1om extrae
+#TODO: cuda pqos mercurium memkind k1om
 RDEPEND="
        >=dev-libs/boost-1.59:=
        sys-apps/hwloc
@@ -25,12 +25,12 @@ RDEPEND="
        cluster? ( virtual/mpi )
        dlb? ( sys-cluster/dlb )
        embed-code-changes? ( dev-vcs/git )
+       extrae? ( sys-cluster/extrae[nanos] )
        papi? ( dev-libs/papi )
        unwind? ( sys-libs/libunwind )
 "
-#extrae? ( sys-cluster/extrae[nanos] )
 DEPEND="${RDEPEND}"
-BDEPEND="doc? ( app-doc/doxygen )"
+BDEPEND=""
 REQUIRED_USE="cluster? ( execution-workflow )"
 S="${WORKDIR}/${PN}-version-${PV}"
 
@@ -57,12 +57,6 @@ src_configure() {
                --without-pgi
 
                $(use_enable cluster)
-               $(use_enable doc doxygen-doc)
-               $(use_enable doc doxygen-dot)
-               $(use_enable doc doxygen-html)
-               $(use_enable doc doxygen-man)
-               $(use_enable doc doxygen-pdf)
-               $(use_enable doc doxygen-ps)
                $(use_enable debug extra-debug)
                $(use_enable embed-code-changes)
                $(use_enable execution-workflow)
@@ -78,11 +72,11 @@ src_configure() {
        else
                myconf+=( "--without-git" )
        fi
-#      if use extrae; then
-#              myconf+=( "--with-extrae=${EPREFIX}/usr/$(get_libdir)/extrae" )
-#      else
+       if use extrae; then
+               myconf+=( "--with-extrae=${EPREFIX}/usr/$(get_libdir)/extrae" )
+       else
                myconf+=( "--without-extrae" )
-#      fi
+       fi
        if use papi; then
                myconf+=( "--with-papi=${EPREFIX}/usr" )
        else
@@ -103,6 +97,9 @@ src_configure() {
 
 src_install() {
        default
+       dodoc CHANGELOG.md
+       rm -r docs/Doxyfile* || die
+       dodoc -r docs/.
 
        docompress -x "/usr/share/doc/${PF}/paraver-cfg"
        docompress -x "/usr/share/doc/${PF}/scripts"

Reply via email to